Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp3.persistence
Class PersistenceProject

`java.lang.Object
oracle.toplink.sessions.Project
oracle.toplink.ejb.cmp3.persistence.PersistenceProject`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class PersistenceProject
extends Project

See Also:
  Serialized Form

Constructor Summary
`PersistenceProject()`

Method Summary
`Descriptor` | `buildPersistenceInfoDescriptor()`
`Descriptor` | `buildPropertyDescriptor()`

Methods inherited from class oracle.toplink.sessions.Project
`addAlias, addDefaultReadOnlyClass, addDescriptor, addDescriptors, assumeExistenceForDoesExist, checkCacheForDoesExist, checkDatabaseForDoesExist, conformAllDescriptors, createDatabaseSession, createServerSession, createServerSession, createServerSession, getClassDescriptor, getClassDescriptorForAlias, getDatasourceLogin, getDefaultReadOnlyClasses, getDescriptor, getDescriptorForAlias, getDescriptors, getLogin, getName, getSequenceCounterName, getSequenceFieldName, getSequencePreallocationSize, getSequenceTableName, getUseNativeSequencing, setDatasourceLogin, setDefaultReadOnlyClasses, setDeferModificationsUntilCommit, setLogin, setLogin, setLoginAndApplySequenceProperties, setName, setSequenceCounterName, setSequenceFieldName, setSequencePreallocationSize, setSequencePreallocationSize, setSequenceTableName, setUseNativeSequencing, useCacheIdentityMap, useCacheIdentityMap, useFullIdentityMap, useFullIdentityMap, useNoIdentityMap, useSoftCacheWeakIdentityMap, useSoftCacheWeakIdentityMap, useWeakIdentityMap, useWeakIdentityMap`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceProject

    public PersistenceProject()

Method Detail

### buildPersistenceInfoDescriptor

    public Descriptor buildPersistenceInfoDescriptor()

### buildPropertyDescriptor

    public Descriptor buildPropertyDescriptor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD